summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin Ivanov <tramni@abv.bg>2010-05-11 22:55:07 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:55:07 +0200
commit749e13866cb9b70254e193eb38b831481e8e08f8 (patch)
tree029655582ae8f6be604b05c6d4836ededcdaed1a
parent5e101248ecf3cc79499a70d1d172c062d343df99 (diff)
downloadslackbuilds-749e13866cb9b70254e193eb38b831481e8e08f8.tar.gz
slackbuilds-749e13866cb9b70254e193eb38b831481e8e08f8.tar.xz
office/full-pack: Added to 12.1 repository
-rw-r--r--office/full-pack/README11
-rw-r--r--office/full-pack/full-pack.SlackBuild50
-rw-r--r--office/full-pack/full-pack.info8
-rw-r--r--office/full-pack/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/office/full-pack/README b/office/full-pack/README
new file mode 100644
index 0000000000..128a19a782
--- /dev/null
+++ b/office/full-pack/README
@@ -0,0 +1,11 @@
+full-pack is a set of dictionaries for kbgoffice.
+It includes a bidirectional English-Bulgarian dictionary,
+a dictionary of computer terms, a polytechnical dictionary and
+a dictionary of the Bulgarian North-West dialect.
+
+The dictionairy engine is provided by the kbgoffice program.
+
+fullpack requires kbgoffice to be installed. A buildscript is available
+at SlackBuilds.org.
+
+Homepage: http://bgoffice.sourceforge.net/assistant/
diff --git a/office/full-pack/full-pack.SlackBuild b/office/full-pack/full-pack.SlackBuild
new file mode 100644
index 0000000000..7b8622cef7
--- /dev/null
+++ b/office/full-pack/full-pack.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+## Written by Martin Ivanov (tramni@abv.bg)
+## Package Homepage: http://bgoffice.sourceforge.net/assistant/
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please add a "Modified by" line so that I don't
+## receive kudos or flames for things I didn't write... Thanks.
+
+# Modified by Michiel van Wessem <michiel@slackbuilds.org> 20081020
+
+PRGNAM=full-pack
+VERSION=1.0
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# No Compiler flags needed, nothing is actually build.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM.tar.bz2 || exit 1
+cd $PRGNAM || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make DATA_DIR=$PKG/usr/share/kbgoffice/bgoffice install || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/full-pack/full-pack.info b/office/full-pack/full-pack.info
new file mode 100644
index 0000000000..348946d190
--- /dev/null
+++ b/office/full-pack/full-pack.info
@@ -0,0 +1,8 @@
+PRGNAM="full-pack"
+VERSION="1.0"
+HOMEPAGE="http://bgoffice.sourceforge.net/assistant/"
+DOWNLOAD="http://downloads.sourceforge.net/bgoffice/full-pack.tar.bz2"
+MD5SUM="5211fcc86bda7b9a87255aa982d7b135"
+MAINTAINER="Martin Ivanov"
+EMAIL="tramni@abv.bg"
+APPROVED="Michiel"
diff --git a/office/full-pack/slack-desc b/office/full-pack/slack-desc
new file mode 100644
index 0000000000..93544fdab7
--- /dev/null
+++ b/office/full-pack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+full-pack: full-pack ( A set of dictionaries for kbgoffice )
+full-pack:
+full-pack: It includes a bidirectional English-Bulgarian dictionary,
+full-pack: a dictionary of computer terms, a polytechnical dictionary and
+full-pack: a dictionary of the Bulgarian North-West dialect.
+full-pack:
+full-pack:
+full-pack:
+full-pack: Homepage:
+full-pack: http://bgoffice.sourceforge.net/assistant
+full-pack: